import request from '@/utils/request'

export function appList(query = {}) {
  return request({
    url: '/app/list',
    method: 'get',
    params: query
  })
}

// 需求新增
export function apiNeedApplyInsert(data) {
  return request({
    url: '/apiNeedApply/insert',
    method: 'post',
    data
  })
}

// 需求修改
export function apiNeedApplyUpdate(data) {
  return request({
    url: '/apiNeedApply/update',
    method: 'post',
    data
  })
}

// 需求列表
export function apiNeedApplyList(data) {
  return request({
    url: '/apiNeedApply/applyList',
    method: 'post',
    data
  })
}

// 需求详情
export function apiNeedApplyDetail(id) {
  return request({
    url: '/apiNeedApply/getDetail',
    method: 'get',
    params: { id }
  })
}

// 需求审核列表
export function apiNeedApplyExamineList(data) {
  return request({
    url: '/apiNeedApply/examineList',
    method: 'post',
    data
  })
}
